Subject: Re: bug#18432: 24.4.50; python-mode, elif line indentation

From: Andreas Röhler <[email-masked]>
Date: Tue, 09 Sep 2014 18:00:23 +0200

On 09.09.2014 13:30, Sho Takemori wrote:
> Dear developers,
>
> In a Python buffer, I have the following code.
> Here _ indicates the position of the cursor.
>
> if (a == 1 or
>      a == 2):
>      pass
> elif (a == 3 or_a == 4):
>
> When I press C-m, then this code becomes as follows:
>
> if (a == 1 or
>      a == 2):
>      pass
> elif (a == 3 or
> a == 4):
>
> I expected the following:
>
> if (a == 1 or
>      a == 2):
>      pass
> elif (a == 3 or
>        a == 4):
>
> Also I cannot change the indent level at the final line by TAB.
>
> This may not be a bug.
> But the 4th line and 5th line lack the compatibility with
> the 1st line and the 2nd line.
>

IMO it is a bug.

May confirm that with

GNU Emacs 24.3.93.1 (i686-pc-linux-gnu, X toolkit, Xaw3d scroll bars) of 2014-08-15

Andreas